> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# If the requested service is unknown, the call will fail with status
NOT_FOUND.



## OpenAPI

````yaml https://data-api.b3.fun/swagger.json?v=1 get /blockscout/health
openapi: 3.0.0
info:
  description: >-
    Cached proxy layer for multiple blockchain APIs with 24-hour caching and
    automatic fallback across chains. Supports both Blockscout and ThirdWeb
    Insights APIs. Add ?mintlify parameter for Mintlify-compatible version.
  version: 1.0.0
  title: B3 Data API - Multi-Chain Data API
  contact:
    name: B3 Team
    url: https://b3.fun
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://data-api.b3.fun/
    description: B3 Data API - Multi-Chain Proxy
security: []
tags:
  - name: blockscout/search
    description: Blockscout search functionality
  - name: blockscout/transactions
    description: Blockscout transaction data
  - name: blockscout/blocks
    description: Blockscout block data
  - name: blockscout/tokens
    description: Blockscout token and transfer data
  - name: blockscout/stats
    description: Blockscout statistics and charts
  - name: blockscout/main-page
    description: Blockscout main page data
  - name: blockscout
    description: General Blockscout endpoints
  - name: insights/events
    description: ThirdWeb Insights event data
  - name: insights/transactions
    description: ThirdWeb Insights transaction analytics
  - name: insights/tokens
    description: ThirdWeb Insights token analytics
  - name: insights/nfts
    description: ThirdWeb Insights NFT analytics
  - name: insights/wallets
    description: ThirdWeb Insights wallet analytics
  - name: insights/contracts
    description: ThirdWeb Insights contract analytics
  - name: insights/resolve
    description: ThirdWeb Insights ENS resolution
  - name: insights/blocks
    description: ThirdWeb Insights block data
  - name: insights/decode
    description: ThirdWeb Insights transaction decoding
  - name: insights/general
    description: General ThirdWeb Insights endpoints
paths:
  /blockscout/health:
    get:
      tags:
        - blockscout
      summary: |-
        If the requested service is unknown, the call will fail with status
        NOT_FOUND.
      operationId: Health_Check
      parameters:
        - name: service
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1HealthCheckResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1HealthCheckResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/HealthCheckResponseServingStatus'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
            type: object
    HealthCheckResponseServingStatus:
      type: string
      enum:
        - UNKNOWN
        - SERVING
        - NOT_SERVING
        - SERVICE_UNKNOWN
      default: UNKNOWN
      description: ' - SERVICE_UNKNOWN: Used only by the Watch method.'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````